From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/tuned/
Date: Mon, 15 Aug 2016 07:51:06 +0000 (UTC) [thread overview]
Message-ID: <1471247463.5ce2fda1f9f6df5613bb1c785e33e42feedb825e.dlan@gentoo> (raw)
commit: 5ce2fda1f9f6df5613bb1c785e33e42feedb825e
Author: Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 15 07:17:53 2016 +0000
Commit: Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Mon Aug 15 07:51:03 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ce2fda1
sys-apps/tuned: version bump 2.7.1
Package-Manager: portage-2.3.0
sys-apps/tuned/Manifest | 1 +
sys-apps/tuned/tuned-2.7.1.ebuild | 47 +++++++++++++++++++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/sys-apps/tuned/Manifest b/sys-apps/tuned/Manifest
index a59333d..4a62b83 100644
--- a/sys-apps/tuned/Manifest
+++ b/sys-apps/tuned/Manifest
@@ -1,2 +1,3 @@
DIST tuned-2.6.0.tar.bz2 98362 SHA256 945c785b8020960d2665b570b3168c366e6b82399801952aea54b4d178dac876 SHA512 da818cb6c04e10d97b7eb52fb37500128ca5b37c79428d1b84578d4147507a210052c395f523f91907a112e282a47f9a5d4745fe2960471f42d5d09f87a3c57d WHIRLPOOL 23457c5e161675f90326060d485626f2d176e6c42b34f21fceecf7299c21607b8537ff741742015c0045c8150ce379a7274b11da547581e18bea97671c1b4045
DIST tuned-2.7.0.tar.bz2 107541 SHA256 8f50718264690732504486a65931d7ef558d4d43da9a86bc6f5c6855e3a7e448 SHA512 ce09dd854e89762fa376f7f63a59feb384940b5dbc5ad74370b33bbda3f060f09e79d2988de3535b072ad749ab7be43ccaaa46a343a9df50eec6c40d7ab85d55 WHIRLPOOL 272e77e429097f9c14beb31f5d911762837008a0e8affeb9abbcaf03172edd8296064b1926ff56f0c1272a9a51d88cf9044ee4b45676844cb249d5be1865983c
+DIST tuned-2.7.1.tar.bz2 107471 SHA256 03333eda9f3744ec214b1c20d0f79528a6438dafd5c79ff459b411414491802d SHA512 4a4785e3d20ed7f1c2969066676f5fa3d8286b500de1c63169d745e701e1410092d29429d25c13c3515d37ef73dd297945d69db176d693d4152bfbe9ba626833 WHIRLPOOL 847d37179190565299350796b7f548b342db309d6cadd7856b575c614cee38dcbcf856079fb59a565b536fadfb49c7ff2ab7068b38dab4a8ce12868baa16d968
diff --git a/sys-apps/tuned/tuned-2.7.1.ebuild b/sys-apps/tuned/tuned-2.7.1.ebuild
new file mode 100644
index 0000000..b4a69cf
--- /dev/null
+++ b/sys-apps/tuned/tuned-2.7.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1 systemd
+
+DESCRIPTION="Daemon for monitoring and adaptive tuning of system devices"
+HOMEPAGE="https://fedorahosted.org/tuned/"
+SRC_URI="https://fedorahosted.org/releases/t/u/tuned/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+COMMON_DEPEND="${PYTHON_DEPS}
+ dev-python/configobj[${PYTHON_USEDEP}]
+ dev-python/decorator[${PYTHON_USEDEP}]
+ dev-python/pyudev[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}
+ sys-apps/dbus
+ sys-power/powertop
+ dev-util/systemtap
+"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+src_prepare() {
+ sed -i \
+ -e "/\$(DESTDIR)\/run\/tuned/d" \
+ Makefile ||die
+}
+
+src_install() {
+ default
+ newinitd "${FILESDIR}"/tuned.initd tuned
+
+ python_fix_shebang "${ED}"
+}
next reply other threads:[~2016-08-15 7:51 UTC|newest]
Thread overview: 39+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-08-15 7:51 Yixun Lan [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-26 0:03 [gentoo-commits] repo/gentoo:master commit in: sys-apps/tuned/ Yixun Lan
2024-08-21 5:30 Sam James
2024-06-06 13:33 Yixun Lan
2024-06-06 13:33 Yixun Lan
2024-06-06 13:33 Yixun Lan
2024-02-26 1:29 Yixun Lan
2024-02-26 1:29 Yixun Lan
2024-02-18 1:10 Yixun Lan
2024-02-18 1:10 Yixun Lan
2023-08-30 9:55 Yixun Lan
2023-08-30 9:55 Yixun Lan
2023-03-11 11:06 Yixun Lan
2023-03-11 11:06 Yixun Lan
2022-09-05 13:11 Yixun Lan
2022-09-05 13:11 Yixun Lan
2022-02-14 14:34 Yixun Lan
2022-02-14 14:34 Yixun Lan
2022-01-31 14:52 Yixun Lan
2022-01-31 14:52 Yixun Lan
2021-09-26 19:36 Conrad Kostecki
2021-09-26 19:36 Conrad Kostecki
2021-09-24 1:52 Yixun Lan
2021-07-17 18:18 David Seifert
2021-05-31 21:00 Michał Górny
2021-02-03 14:10 Yixun Lan
2021-01-14 14:37 Yixun Lan
2021-01-13 23:04 Yixun Lan
2020-02-09 16:42 Michał Górny
2020-02-05 20:47 Michał Górny
2020-01-22 6:43 Yixun Lan
2019-08-13 14:10 Michał Górny
2018-11-20 6:30 Yixun Lan
2017-07-26 9:19 Patrice Clement
2016-11-04 3:02 Yixun Lan
2016-05-29 12:23 Yixun Lan
2016-05-29 12:23 Yixun Lan
2016-02-01 3:08 Yixun Lan
2016-02-01 3:08 Yixun Lan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1471247463.5ce2fda1f9f6df5613bb1c785e33e42feedb825e.dlan@gentoo \
--to=dlan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox